#!/bin/bash

#script permettant la mise en place de wsusoffline sur le se4fs, sa maj et le lancement par tache cron des maj Windows dans le répertoire /var/sambaedu/unnattended/install/wsusoffline.

. /usr/share/sambaedu/includes/config.inc.sh
. /usr/share/sambaedu/includes/wsusoffline.inc.sh


if [ $# = 0 ]
then
    echo "$0 va permettre de mettre en place/gérer wsusoffline sur le se4fs."
    echo "Ce script prend obligatoirement une option"
    echo "relancez le script  avec l'option --help pour voir comment l'utiliser"

fi

optspec=":-:"
while getopts "$optspec" optchar; do
case "${OPTARG}" in
    help)
echo "Script d'installation et de gestion wsusoffline pour se4fs"
echo " Pour mettre en place wsusoffline sur le se4fs lancer le script avec l'option --inst-wsus  ($0 --inst-wsus )."
echo " Pour tester/mettre à jour le programme  wsusoffline sur le se4fs lancer le script avec l'option --maj-wsus ($0 --maj-wsus )."
echo " Pour télécharger les maj Windows@  sur le se4fs lancer le script avec l'option --maj-win ($0 --majwin)."
exit 1
;;
     inst-wsus)
echo "mode installation séléctionné"
installation_wsusoffline
exit 1
;;
    maj-wsus)
echo "mode maj du programme wsusoffline  séléctionné"
maj_wsusoffline
exit 1
;;
    maj-win)
echo "mode lancement de wsusoffline pour télécharger les maj Windows  séléctionné"
dl_maj_win
exit 1
;;

    *)
echo "Option non reconnue, tapez $0 --help pour en savoir plus"
exit 1
;;

esac
done